/// <reference types="react" />
type PAY_CHANNEL_VALUE = "PAYPAL_PAYPAL" | "ALI_WEB" | "ALI_WAP" | "WX_WAP" | "WX_NATIVE";
type PAY_CHANNEL_CATEGORY_VALUE = "Alipay" | "Wechat" | "Paypal";
interface PAY_CHANNEL_TYPE {
    PAYPAL: PAY_CHANNEL_VALUE;
    ALI_WEB: PAY_CHANNEL_VALUE;
    ALI_WAP: PAY_CHANNEL_VALUE;
    WX_WAP: PAY_CHANNEL_VALUE;
    WX_NATIVE: PAY_CHANNEL_VALUE;
}
interface PAY_CHANNEL_CATEGORY {
    ALI: PAY_CHANNEL_CATEGORY_VALUE;
    WX: PAY_CHANNEL_CATEGORY_VALUE;
    PAYPAL: PAY_CHANNEL_CATEGORY_VALUE;
}
interface Props {
    payChannel: PAY_CHANNEL_VALUE;
    onPayChannelChange: (value: PAY_CHANNEL_VALUE) => void;
    isMobile: boolean;
    size: "small" | "normal" | "large";
    withTitle: boolean;
    titleText?: string;
    locale: "zh" | "en";
}
declare const PAY_CHANNEL: PAY_CHANNEL_TYPE;
declare const PAY_CHANNEL_CATEGORY$0: PAY_CHANNEL_CATEGORY;
declare const PayPlatformOptions: ({ payChannel, onPayChannelChange, size, isMobile, withTitle, titleText, locale }: Props) => JSX.Element;
export { PayPlatformOptions as default, PAY_CHANNEL, PAY_CHANNEL_CATEGORY$0 as PAY_CHANNEL_CATEGORY };
