import React from "react";
import { EditorState } from "braft-editor";

export interface ToolListItem {
  key: any;
  color: string;
  iconClass: string;
  onClick: any;
  text?: string;
};
interface ControlsToolBarProps {
  editorState: EditorState;
  setEditorState: any;
  toolList: Array<ToolListItem>;
  injectIconWrapStyle?: any;
  injectIconStyle?: any;
}

export const ControlsToolBar = (props: ControlsToolBarProps) => {
  const {
    editorState,
    setEditorState,
    toolList = [],
    injectIconWrapStyle = {},
    injectIconStyle = {},
  } = props;
  const IconWrapStyle = {
    cursor: "pointer",
    textAlign: "center" as const,
    width: "42px",
    ...injectIconWrapStyle,
  };
  const IconStyle = { fontSize: "21px", ...injectIconStyle };

  if (toolList.length < 1) {
    return null;
  }

  return (
    <>
    {
      toolList.map(i => (
        <div
          key={`toolList_${i.key}`}
          style={{ color: i.color, ...IconWrapStyle }}
          onClick={i.onClick}
        >
          <i className={i.iconClass} style={IconStyle} />
        </div>
      ))
    }
    </>
  );
};
